diff -urN a/Makefile b/Makefile
--- a/Makefile	2024-03-02 02:24:04.000000000 +0000
+++ b/Makefile	2024-03-02 02:46:16.000000000 +0000
@@ -2,12 +2,15 @@
 
 VERS=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)
 
-SFILE=/usr/games/lib/greed.hs
-# Location of game executable
-BIN=/usr/games
+PREFIX ?= /usr/local
+BINDIR := $(PREFIX)/bin
+MANDIR := $(PREFIX)/share/man
+SFILE  ?= $(PREFIX)/share/greed/greed.hs
+
+all: greed greed.6
 
 greed: greed.c
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSCOREFILE=\"$(SFILE)\" -DRELEASE=\"$(VERS)\" -o greed greed.c -O3 -lcurses
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSCOREFILE=\"$(SFILE)\" -DRELEASE=\"$(VERS)\" -o greed greed.c -O2 -lncurses
 
 # Note: to suppress the footers with timestamps being generated in HTML,
 # we use "-a nofooter".
@@ -19,9 +22,11 @@
 	asciidoctor -D. -a nofooter -b manpage $<
 .adoc.html:
 	asciidoctor -D. -a nofooter -a webfonts! $<
-install: greed.6 uninstall
-	cp greed $(BIN)
-	cp greed.6 /usr/share/man/man6/greed.6
+install: greed.6
+	install -d $(DESTDIR)$(BINDIR)
+	install -d $(DESTDIR)$(MANDIR)
+	install -m 0755 greed $(DESTDIR)$(BINDIR)
+	install -m 0644 greed.6 $(DESTDIR)$(MANDIR)/man6/greed.6
 
 uninstall:
 	rm -f $(BIN)/install /usr/share/man/man6/greed.6
